set -g mouse on
set -g default-terminal "tmux-256color"
set -g terminal-features ",xterm*:RGB"
set -g terminal-overrides '*:Ss=\E[%p1%d q:Se=\E[ q'
set -g status on
set -g status-left " #[fg=darkblue]#S#[fg=black] | "
set -g status-left-length 20
set -g status-right "#[fg=black] | #[fg=darkblue]%H:%M "
set -g status-right-length 35
set -g status-interval 30
set -g base-index 1
set -g pane-base-index 1
set -g renumber-windows on
set -g history-limit 10000
set -g escape-time 0
set -g aggressive-resize on
set -g window-status-style fg=black,bg=green,bold
set -g window-status-current-style fg=white,bg=brightblue,bold
set -g mode-keys vi
set -g focus-events on

bind h selectp -L
bind j selectp -D
bind k selectp -U
bind l selectp -R

bind m   set -g mouse \; display "mouse #{?mouse,ON,OFF}"
bind C-t set -g status
bind r   source ~/.config/tmux/tmux.conf \; display-message "configuration reloaded"

bind %   splitw -h -c "#{pane_current_path}"
bind '"' splitw    -c "#{pane_current_path}"
